> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tracecat.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Complete Registration



## OpenAPI

````yaml https://platform.tracecat.com/api/openapi.json post /auth/mfa/webauthn/register/verify
openapi: 3.1.0
info:
  title: Tracecat API
  summary: Tracecat API
  description: The open source AI automation platform for security teams and agents.
  termsOfService: >-
    https://docs.google.com/document/d/e/2PACX-1vQvDe3SoVAPoQc51MgfGCP71IqFYX_rMVEde8zC4qmBCec5f8PLKQRdxa6tsUABT8gWAR9J-EVs2CrQ/pub
  contact:
    name: Tracecat Founders
    email: founders@tracecat.com
  license:
    name: AGPL-3.0
    url: https://www.gnu.org/licenses/agpl-3.0.html
  version: '1'
servers:
  - url: /api
security: []
tags:
  - name: public
    description: Public facing endpoints
  - name: workflows
    description: Workflow management
  - name: actions
    description: Action management
  - name: triggers
    description: Workflow triggers
  - name: secrets
    description: Secret management
  - name: variables
    description: Workspace variable management
paths:
  /auth/mfa/webauthn/register/verify:
    post:
      tags:
        - auth
      summary: Complete Registration
      operationId: auth-complete_registration
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/WebAuthnRegistrationVerify'
        required: true
      responses:
        '201':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WebAuthnRegistrationResult'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    WebAuthnRegistrationVerify:
      properties:
        credential:
          additionalProperties: true
          type: object
          title: Credential
          description: >-
            PublicKeyCredential.toJSON() output from
            navigator.credentials.create().
        name:
          type: string
          maxLength: 100
          minLength: 1
          title: Name
      type: object
      required:
        - credential
        - name
      title: WebAuthnRegistrationVerify
    WebAuthnRegistrationResult:
      properties:
        credential:
          $ref: '#/components/schemas/WebAuthnCredentialRead'
        recovery_codes:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Recovery Codes
          description: One-time recovery codes, returned only for the first security key.
      type: object
      required:
        - credential
      title: WebAuthnRegistrationResult
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    WebAuthnCredentialRead:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        name:
          type: string
          title: Name
        aaguid:
          type: string
          format: uuid
          title: Aaguid
        transports:
          items:
            type: string
          type: array
          title: Transports
        backup_eligible:
          type: boolean
          title: Backup Eligible
        backup_state:
          type: boolean
          title: Backup State
        created_at:
          type: string
          format: date-time
          title: Created At
        last_used_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Last Used At
      type: object
      required:
        - id
        - name
        - aaguid
        - transports
        - backup_eligible
        - backup_state
        - created_at
        - last_used_at
      title: WebAuthnCredentialRead
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.